Download a settlement report
GET
/api/v1/settlements/{id}/report
const url = 'https://example.com/api/v1/settlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/report';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/settlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/report \ --header 'Authorization: Bearer <token>'Streams the generated settlement report file for the given settlement. The response body is a binary stream; use the Content-Disposition header to determine the suggested filename.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
ID of the settlement whose report to download
Responses
Section titled “ Responses ”Report file stream
Media type application/octet-stream
string format: binary
Headers
Section titled “Headers ” Content-Disposition
string
Example
attachment; filename="report-<id>.pdf"Suggested filename for the downloaded file
Unauthorized
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}Settlement or report not found
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}Internal server error
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}